# MultipartFile - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.abstracts / MultipartFile

# MultipartFile

(common) `data class MultipartFile : InputFile` (source)

Contains info about file for sending

### Constructors

(common)

#### <init>

Contains info about file for sending

`MultipartFile(file: StorageFile, mimeType: String = file.storageFileInfo.contentType, filename: String = file.storageFileInfo.fileName)`

### Properties

(common)

#### file

`val file: StorageFile`

(common)

#### fileId

`val fileId: String`

(common)

#### filename

`val filename: String`

(common)

#### mimeType

`val mimeType: String`